3.3.0 (beta) Campaign issues

The projects speaking tube.
Add your two cents if you want to.
AndrewTheOnly
Rookie
Rookie
Posts: 19
Joined: 30 May 2018, 20:57

Re: 3.3.0 (beta) Campaign issues

Post by AndrewTheOnly » 13 Mar 2019, 07:55

alfred007 wrote:
11 Mar 2019, 20:58
AndreTheOnly wrote:Thanks for the response. What I meant was that I sometimes downloaded the campaign mod you were posting in the other topic, and I remember it had some changes like the artifact location, weapon balance, and the campaign overall was a lot harder than before. Or is that a part of the new insane difficulty I guess?
The camBalance mod from Berserk Cyborg is a mod where we try to improve the balance. In all version from 3.1.5 on (I never played older versions so maybe from older versions on), there are some overpowered (Lancer, Assault Gun) and also underpowered (all Cannons) weapons. The goal is to give the player several viable choices depending on his playstyle. It's a work in progress so don't expect that it will be implemented into 3.3.0. In general, the campaign becomes harder but especially with insane difficulty. When you're playing with this mod we would appreciate that you post your feedback in this topic to help us with the improvement. Any feedback is welcome, there is no right or wrong. It's helpful if you tell us what you like and also what you dislike. If there is something you dislike please give us a reason and best also an idea of what you want to get changed and in what direction. We can't promise that every idea gets implemented like also not every idea Bethrezen, Berserk Cyborg or I had gets implemented.
Ok, where do I find this mod, and does it apply only to campaign as the name suggests?

AndrewTheOnly
Rookie
Rookie
Posts: 19
Joined: 30 May 2018, 20:57

Re: 3.3.0 (beta) Campaign issues

Post by AndrewTheOnly » 13 Mar 2019, 08:06

AndrewTheOnly wrote:
13 Mar 2019, 07:55
alfred007 wrote:
11 Mar 2019, 20:58
AndreTheOnly wrote:Thanks for the response. What I meant was that I sometimes downloaded the campaign mod you were posting in the other topic, and I remember it had some changes like the artifact location, weapon balance, and the campaign overall was a lot harder than before. Or is that a part of the new insane difficulty I guess?
The camBalance mod from Berserk Cyborg is a mod where we try to improve the balance. In all version from 3.1.5 on (I never played older versions so maybe from older versions on), there are some overpowered (Lancer, Assault Gun) and also underpowered (all Cannons) weapons. The goal is to give the player several viable choices depending on his playstyle. It's a work in progress so don't expect that it will be implemented into 3.3.0. In general, the campaign becomes harder but especially with insane difficulty. When you're playing with this mod we would appreciate that you post your feedback in this topic to help us with the improvement. Any feedback is welcome, there is no right or wrong. It's helpful if you tell us what you like and also what you dislike. If there is something you dislike please give us a reason and best also an idea of what you want to get changed and in what direction. We can't promise that every idea gets implemented like also not every idea Bethrezen, Berserk Cyborg or I had gets implemented.
Ok, where do I find this mod, and does it apply only to campaign as the name suggests?
Ok, nvm, I've found it :lol2:

Blujay777
Greenhorn
Posts: 10
Joined: 22 Dec 2015, 07:30

Re: 3.3.0 (beta) Campaign issues

Post by Blujay777 » 13 Jun 2019, 22:34

After trying to download the 3.3.0 Version for macOS, the .zip file unloaded the 3.2.3 version. Am I supposed to download this version, then download the update for the new version? Or is this an error? I'm just having trouble accessing it on my Mac.

Please let me know!

Blujay

Forgon
Code contributor
Code contributor
Posts: 289
Joined: 07 Dec 2016, 22:23

Re: 3.3.0 (beta) Campaign issues

Post by Forgon » 13 Jun 2019, 22:45

Blujay777 wrote:
13 Jun 2019, 22:34
After trying to download the 3.3.0 Version for macOS, the .zip file unloaded the 3.2.3 version. Am I supposed to download this version, then download the update for the new version? Or is this an error? I'm just having trouble accessing it on my Mac.

Please let me know!

Blujay
We do not have a mechanism in the game to install updates.
New versions are installed from scratch. Download 3.3.0 Beta 1 from SourceForge
at https://sourceforge.net/projects/warzon ... ses/3.3.0/.

Blujay777
Greenhorn
Posts: 10
Joined: 22 Dec 2015, 07:30

Re: 3.3.0 (beta) Campaign issues

Post by Blujay777 » 14 Jun 2019, 09:00

After downloading warzone2100-3.3.0_macOS.zip through SourceForge, I still came up with the Warzone 2100 version 3.2.3 for my Mac, as shown below in the screenshot I took right after the download was finished. Is this the latest release for Mac? I'd love to play the most recent version if possible, but I'm having trouble accessing it.

Please let me know.

- Blujay

UPDATE: It seems I understand the problem here -- after researching a little bit, the beta is only available for players with Microsoft operating systems. I'll wait until everything else is done then. Sorry for the confusion.
Attachments
Screen Shot 2019-06-13 at 11.52.02 PM.png

Forgon
Code contributor
Code contributor
Posts: 289
Joined: 07 Dec 2016, 22:23

Re: 3.3.0 (beta) Campaign issues

Post by Forgon » 14 Jun 2019, 10:45

Blujay777 wrote:
14 Jun 2019, 09:00
After downloading warzone2100-3.3.0_macOS.zip through SourceForge, I still came up with the Warzone 2100 version 3.2.3 for my Mac, as shown below in the screenshot I took right after the download was finished. Is this the latest release for Mac? I'd love to play the most recent version if possible, but I'm having trouble accessing it.

Please let me know.

- Blujay

UPDATE: It seems I understand the problem here -- after researching a little bit, the beta is only available for players with Microsoft operating systems. I'll wait until everything else is done then. Sorry for the confusion.
We do have Mac builds for the latest Beta.
The version number is probably wrong due to some bug.

I have reported this problem as issue #386.
A correct release build is available here.

Post Reply